Subject: Re: Translation of git manpages

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 08 Jan 2019 14:54:36 +0100

On Mon, Jan 07 2019, Jean-Noël AVILA wrote:

> Dear fellow translators,
>
> I'm trying to put up a longstanding project of providing translated manual
> pages for Git. After several experiments, the best choice seemed to be the use
> of po4a[1] to convert the asciidoc[2] sources of git manpages into po files
> that could be processed the same way we are already doing for the translation
> of Git itself.
>
> The text is segmented into paragraphs and structural units (titles, list
> items...) and when translated, they are reinjected into the original text
> structure. Only inline asciidoc formatting marks are passed in segments.
>
> The translation takes place in a dedicated repository[3]  . It simpler to not
> meddle in git main workflow while adjusting the translation workflow. If
> everybody is satisfied with it, we can maybe migrate the repo under git
> organization. Now, this repo is standalone with respect to translation content
> source, but a patch has been submitted so that the translated manpages can be
> generated and installed from the main git project[4]. Symmetrically, there's a
> script in the project to pull the manpages source files from the main git repo.
>
> The repository is connected to Weblate[5]  if you have collaborators who don't
> know how to process po files and prefer translating in the browser.
>
> The repository is also open to pull-request on the tooling. Let me know if you
> have issues. In any case, the translation work can be reused for any other
> arrangements.
>
> There is already a kernel of translation in French, from my experiments and a
> previous effort of German translation[6] was gettextized. If you have such
> archives for other languages, I'd be happy to integrate them, even if they are
> not up to date.

Thanks. This has come up on list many times before and it's great to
have some movement on it.

I think a way to have early exposure of these to a lot more people would
be to have these on the git-scm.com site. Jeff knows more about the
build process there.

I see the general completion of French & German is at ~10%, but maybe
there's some pages that are fully translated already? We could then have
some UI or git-scm.com that allows you to switch between languages along
with some general overview page per-language.

Are the translations contributed through
https://hosted.weblate.org/projects/git-manpages/translations/ something
that license-wise (Signed-off-by etc.) we'd eventually be able to
upstream in git.git?

It would be great to eventually have something we can build as part of
our build process, so e.g. Debian can have git-man-de similar to
manpages-de now.